Skip to main content
GET
/
v1
/
scrape
/
tiktok
/
creators
/
popular
Popular Creators
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/tiktok/creators/popular \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "success": true,
    "creators": {
      "0": {
        "tcm_id": "7377026041014927376",
        "user_id": "6620098253516439554",
        "nick_name": "SANIEV",
        "avatar_url": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-avt-0068/e2699c87b4fe37f8fc4d65a7dc453786~tplv-tiktokx-cropcenter:100:100.png?dr=14579&refresh_token=d416fed6&x-expires=1770753600&x-signature=udwG8wMH5h81NjqKg8BA7Vl2EiM%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=317596d8&idc=my2",
        "country_code": "US",
        "follower_cnt": 431339,
        "liked_cnt": 129772610,
        "tt_link": "https://www.tiktok.com/@sanievv_",
        "tcm_link": "https://creatormarketplace.tiktok.com/ad#/author/7377026041014927376",
        "items": {
          "0": {
            "item_id": "7395965676629888274",
            "cover_url": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-p-0037/9f078a63ecd74061b52172692e1f5600_1722007460~tplv-noop.image?dr=18692&refresh_token=44cd6526&x-expires=1770602494&x-signature=QnyCEJvPGeN67%2Bmx5TNwa2C88kM%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my&VideoID=v10044g50000cqhruhfog65r8j5kjs10",
            "tt_link": "https://www.tiktok.com/@author/video/7395965676629888274",
            "vv": 2062831,
            "liked_cnt": 229970,
            "create_time": 1722007452
          },
          "1": {
            "item_id": "7311765548977671426",
            "cover_url": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-p-0037/o4K8zWGNELAbIFC8tAIglnI8DpTFejf4KvAVAf~tplv-noop.image?dr=18692&refresh_token=a76f07da&x-expires=1770602517&x-signature=HhzN%2BVcS8JxJTYu7V%2BcT8JAlUzs%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my&VideoID=v10044g50000cls9mpnog65q9avvsvmg",
            "tt_link": "https://www.tiktok.com/@author/video/7311765548977671426",
            "vv": 5537679,
            "liked_cnt": 576288,
            "create_time": 1702403085
          },
          "2": {
            "item_id": "7275732322157088002",
            "cover_url": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-p-0037/o0EkB4Q7hrAfuLmABgOEf6spRppozBAHEtEIxU~tplv-noop.image?dr=18692&refresh_token=bdcd28ae&x-expires=1770602603&x-signature=oCaMKCIR5%2FzXjRxm%2FUlVHyW9Q4k%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my&VideoID=v14044g50000cjs99lrc77u7mad2tht0",
            "tt_link": "https://www.tiktok.com/@author/video/7275732322157088002",
            "vv": 4006148,
            "liked_cnt": 594524,
            "create_time": 1694013443
          }
        }
      }
    },
    "pagination": {
      "page": 1,
      "size": 20,
      "total": 10,
      "has_more": false
    }
  },
  "credits_used": 1,
  "endpoint": "tiktok/popular/creators"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

page
integer

Page number

Example:

1

sortBy
enum<string>

Sort creators by engagement, follower count, or average views

Available options:
engagement,
follower,
avg_views
Example:

"engagement"

followerCount
enum<string>

Filter by follower count range

Available options:
10K-100K,
100K-1M,
1M-10M,
10M+
Example:

"10K-100K"

creatorCountry
enum<string>

Country code of the creator

Available options:
AU,
BR,
CA,
EG,
FR,
DE,
ID,
IL,
IT,
JP,
MY,
PH,
RU,
SA,
SG,
KR,
ES,
TW,
TH,
TR,
AE,
GB,
US,
VN
Example:

"US"

audienceCountry
enum<string>

Country code of the audience/follower

Available options:
AU,
BR,
CA,
EG,
FR,
DE,
ID,
IL,
IT,
JP,
MY,
PH,
RU,
SA,
SG,
KR,
ES,
TW,
TH,
TR,
AE,
GB,
US,
VN
Example:

"US"

Response

Successful response